Bug 557794 - Review Request: ykpers - Yubikey personalization tool
Review Request: ykpers - Yubikey personalization tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 557776
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-22 10:56 EST by Maxim Burgerhout
Modified: 2013-01-13 06:27 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.2-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-02 12:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Maxim Burgerhout 2010-01-22 10:56:55 EST
Spec URL: http://dl.dropbox.com/u/284093/ykpers.spec
SRPM URL: http://dl.dropbox.com/u/284093/ykpers-1.1-1.fc12.src.rpm
Description: Program to re-programm a YubiKey with a new AES key

ykpers is a simple tool to write a new, custom AES key to the Yubikey. It depends on libyubikey (#557776).

This package and libyubikey are my first packages for Fedora, so I will need a sponsor. I'm happy to answer any questions.
Comment 1 Mamoru TASAKA 2010-01-25 13:02:36 EST
Some notes:

* SourceURL
  - It is recommended to use %{name}, %{version} (especially
    %{version}) in source URL because with this you won't probably
    have to modify sourceURL when version is upgraded.
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_.25.7Bversion.7D

* pkgconfig
  - "Requires: pkgconfig" on -devel subpackage is no longer needed
    (on Fedora) because current rpmbuild will automatically add this
    dependency when pkgconfig .pc file is found.

* Timestamps
  - Like bug 557776, please consider to add 'INSTALL="install -p'
    to "make install".

* Documents
  - "INSTALL" file is usually for people trying to build the software
    by themselves and is not needed for people trying to install it
    using rpm.

* Directory ownership issue
  https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Common_Mistakes
  - The directory "%{_includedir}/ykpers-1/" itself is not owned
    by any packages.
Comment 2 Maxim Burgerhout 2010-01-25 14:23:25 EST
Thanks again for looking into another package, Mamoru! I really appreciate this!

I had fixed your notes for bug 557776 for this one already, mostly. I just hadn't put up the files yet. Sorry for that. Here goes:

- SourceURL: macros in Source0 now
- pkgconfig: removed it from Requires
- Timestamps: added INSTALL="%{__install} -p"
- Documents: INSTALL removed from %doc
- Ownership: replaced tree with %{_includedir}/ykpers-1/ in %files

New files at:

- http://dl.dropbox.com/u/284093/update-2/ykpers.spec
- http://dl.dropbox.com/u/284093/update-2/ykpers-1.2-3.fc12.src.rpm
Comment 3 Maxim Burgerhout 2010-01-25 15:18:50 EST
Oops. Bit too fast there. Took the RPM_OPT_FLAGS out of this one too.

http://dl.dropbox.com/u/284093/update-3/ykpers.spec
http://dl.dropbox.com/u/284093/update-3/ykpers-1.2-4.fc12.src.rpm
Comment 4 Mamoru TASAKA 2010-01-26 11:40:30 EST
Okay.

Note:
- From next version, you can reset the "release" number (in the
  spec file) to 1%{?dist} when version is upgraded.

----------------------------------------------------
  This package (ykpers) is APPROVED by mtasaka
----------------------------------------------------
Comment 5 Maxim Burgerhout 2010-01-27 14:52:08 EST
Again, thank you. Here's the CVS request:

New Package CVS Request
=======================
Package Name: ykpers
Short Description: Yubico's YubiKey can be re-programmed with a new AES key. This is a library that makes this an easy task.
Owners: wzzrd
Branches: F-12
InitialCC:
Comment 6 Jason Tibbitts 2010-01-27 16:53:52 EST
CVS done (by process-cvs-requests.py).
Comment 7 Fedora Update System 2010-02-01 14:13:22 EST
ykpers-1.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ykpers-1.2-4.fc12
Comment 8 Maxim Burgerhout 2010-02-01 14:18:31 EST
Had to wait for libyubikey (#557776) to hit stable before I could build ykpers and submit it to Bodhi as a newpackage update for F12, but it's in there now!
Comment 9 Mamoru TASAKA 2010-02-02 12:08:57 EST
Closing.
Comment 10 Fedora Update System 2010-02-02 15:44:33 EST
ykpers-1.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Maxim Burgerhout 2010-10-13 02:51:25 EDT
Package Change Request
======================
Package Name: ykpers
New Branches: el5 el6
Owners: wzzrd

Recent builds of fedora-packager require ykpers (and therefore libyubikey); fedora-packager availability in EPEL requires availability of ykpers and libyubikey in EPEL, too.
Comment 12 Tom "spot" Callaway 2010-10-13 11:10:08 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.